﻿package
{
	import flash.display.Sprite;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	import flash.filters.BlurFilter;
	import flash.filters.BitmapFilterQuality;
	import flash.events.Event;
	
	public class CottonBall extends Sprite
	{
		private var pX, pY, vAlpha, vSize, vBlurStrength:Number;
		private var blur:BlurFilter;
		private var CottonSprite:Sprite;
		private var color:uint;
		private var index:Number;
		
		
		public function CottonBall()
		{
		}
		
		public function refresh(_size:Number, _x:Number, _y:Number, _alpha:Number, _blurStrength:Number, _color:uint)
		{
			this.graphics.clear();
			
			vBlurStrength = _blurStrength;
			pX = _x;
			pY = _y;
			vAlpha = _alpha;
			vSize = _size;
			color = _color;
			index = 0;
			
			blur = new BlurFilter();  
			blur.quality = BitmapFilterQuality.HIGH;
			
			blur.blurX = vBlurStrength;
			blur.blurY = vBlurStrength;
			
			this.graphics.beginFill(color, _alpha);
			this.graphics.drawCircle(pX, pY, vSize)
			this.graphics.endFill();
			
			this.filters = [blur];
		}
	}
}