﻿package
{
	import flash.display.Sprite;
	import flash.display.MovieClip;
	import flash.display.BitmapData;
	import flash.display.Bitmap;
	import flash.filters.BlurFilter;
	import flash.filters.BitmapFilterQuality;
	import flash.events.Event;
	
	public class Kusama extends Sprite
	{
		private const NBCOLOR:Number = 60;
		private const RADIUS:Number = 100;
		private var w:Number;
		private var nbr:Number;
		private var _screen:BitmapData;
		private var bitmap:Bitmap;
		private var stylo:Sprite;
		private var blur:BlurFilter;
		private var ring:Array;
		private var indexR:Number;
		private var index:Number;
		private var radiusX:Number;
		private var radiusY:Number;
		private var colorTab:Gradient;
		private var mainGradient:Array;
		private var larg:Number;
		var decre:Number;
		var decreC:Number;
		private var haut:Number;
		
		public function Kusama(_larg:Number,_haut:Number)
		{
			larg = _larg;
			haut = _haut;
			w = -1;
			nbr = 0; 
			indexR = 1;
			index = 0;
			decre = decreC = 1;
			radiusX = radiusY = RADIUS;
			_screen = new BitmapData(larg, haut, true, 0x00ff0000);
			bitmap = new Bitmap(_screen);
			stylo = new Sprite();
			
			colorTab = new Gradient();
			
			var gradientTabA:Array = colorTab.colors(0xff3399, 0x3399ff, NBCOLOR);
			var gradientTabB:Array = colorTab.colors(0x3399ff, 0x99ff33, NBCOLOR);
			var gradientTabC:Array = colorTab.colors(0x99ff33, 0xcccccc, NBCOLOR);
			
			var gradientArray:Array = new Array();
			
			gradientArray.push(gradientTabA);
			gradientArray.push(gradientTabB);
			gradientArray.push(gradientTabC);

			mainGradient = new Array();
			
			for (var i:int = 0; i < gradientArray.length; i++) 
			{				
				for (var j:int = 0; j < gradientTabA.length; j++)
				{
					mainGradient.push(gradientArray[i][j]);
				}
			}
										
			ring = new Array();
			
			addChild(bitmap);
			addEventListener(Event.ENTER_FRAME, onEnterFrame);
		}
			
		private function onEnterFrame(e:Event):void
		{			
			ring[index] = new Ring(larg, haut, radiusX, 200, mainGradient[indexR], 0);
			
			//_screen.fillRect(_screen.rect, 0x22ff0000);
			
			var rect = new Sprite();
			rect.graphics.beginFill(0xffffff, 0.0);
			rect.graphics.drawRect(0, 0, larg, haut);
			rect.graphics.endFill();
			
			_screen.draw(rect);
			_screen.draw(ring[index].DrawRing());
						
			if (radiusX < RADIUS * -1 || radiusX > RADIUS) decre *= -1;
			if(indexR >= NBCOLOR * 3 || indexR < 1) decreC *= -1;
			radiusX -= decre * 5;
			indexR += decreC;
			index++;
			if(index > 36) index = 0;
		}
	}
}